<html>
<head>

<!-- BEGIN: Custom styling for the form. -->
<style type="text/css">
#frmSubscriber fieldset div#subscriber-message {
	background-color: #F1F1F1;
	border: 1px solid #999999;
	border-radius: 10px;
	color: #666666;
	display: none;
	font-size: 14px;
	margin: 5px 0 15px 0;
	padding: 5px;
}

#frmSubscriber span.subscriber-error{
	color: #FF0000;
}
</style>
<!-- END: Custom styling for the form. -->

<script
	type="text/javascript"
	src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js">
</script>

</head>

<body>
	
	<!-- BEGIN: Subscriber Form. -->
<form id="frmSubscriber" action="" method="">
	<fieldset>
		<input id="subscriber-value" type="text" name="email" value="" />
		<input id="subscriber-add" type="submit" value="Subscribe" />
		<div id="subscriber-message"></div>
	</fieldset>
</form>
	<!-- END: Subscriber Form. -->
	
<script language="JavaScript">
	
	// Subscriber fields
	var objSubscriberValue	 =	$( '#subscriber-value' );
	var objSubscriberAdd	 =	$( '#subscriber-add' );
	var objSubscriberMessage =	$( '#subscriber-message' );
	
	// We bind the form's submit button click event.
	objSubscriberAdd.bind( 'click', function( event ) {
		
		// Proceed only if something was typed in the email input field.
		if( objSubscriberValue.val().length > 0 ) {
			
			// Make sure the message box is invisible
			// since this is a new request.
			objSubscriberMessage.hide();
			
			// Make the AJAX request.
			$.ajax({
				url: '/ajax2.cfm',
				data: {
					action: 'subscriber-add',
					value: objSubscriberValue.val()
				},
		   		type: 'post',
				context: document.body,
				// In case of an error display a prompt.
				error: function( jqXHR, textStatus, errorThrown ){
					alert( 'There was a critical error communicating with the server' );
				},
				// Successful request.
				success: function( data, textStatus, jqXHR ) {
					// Add HTML result in our form's message box.
					objSubscriberMessage.html( data );
					// Make the message box visible.
					objSubscriberMessage.show();
				}
			});
		
		}
		
		// Prevent the default action.
		event.preventDefault();
		
	});

</script>

</body>
</html>